# Generated by Django 4.2.8 on 2024-02-01 11:45

from django.db import migrations, models

import sentry.db.models.indexes
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_post_deployment = False

    dependencies = [
        ("sentry", "0641_backfill_group_attributes"),
    ]

    operations = [
        migrations.RenameIndex(
            model_name="release",
            new_name="sentry_rele_organiz_6975e7_idx",
            old_fields=("organization", "status"),
        ),
        migrations.RenameIndex(
            model_name="release",
            new_name="sentry_rele_organiz_6b035f_idx",
            old_fields=("organization", "build_number"),
        ),
        migrations.RenameIndex(
            model_name="release",
            new_name="sentry_rele_organiz_4ed947_idx",
            old_fields=("organization", "date_added"),
        ),
        migrations.RenameIndex(
            model_name="release",
            new_name="sentry_rele_organiz_ffeeb2_idx",
            old_fields=("organization", "build_code"),
        ),
        migrations.RenameIndex(
            model_name="releaseproject",
            new_name="sentry_rele_project_2ca122_idx",
            old_fields=("project", "unadopted"),
        ),
        migrations.RenameIndex(
            model_name="releaseproject",
            new_name="sentry_rele_project_3143eb_idx",
            old_fields=("project", "first_seen_transaction"),
        ),
        migrations.RenameIndex(
            model_name="releaseproject",
            new_name="sentry_rele_project_a80825_idx",
            old_fields=("project", "adopted"),
        ),
        migrations.SeparateDatabaseAndState(
            # fancy noop, we're now defining this index in django words
            database_operations=[],
            state_operations=[
                migrations.AlterIndexTogether(
                    name="release",
                    index_together=set(),
                ),
                migrations.AddIndex(
                    model_name="release",
                    index=sentry.db.models.indexes.IndexWithPostgresNameLimits(
                        models.F("organization"),
                        models.F("package"),
                        models.OrderBy(models.F("major"), descending=True),
                        models.OrderBy(models.F("minor"), descending=True),
                        models.OrderBy(models.F("patch"), descending=True),
                        models.OrderBy(models.F("revision"), descending=True),
                        models.OrderBy(
                            models.Case(models.When(prerelease="", then=1), default=0),
                            descending=True,
                        ),
                        models.OrderBy(models.F("prerelease"), descending=True),
                        name="sentry_release_semver_by_package_idx",
                    ),
                ),
                migrations.AddIndex(
                    model_name="release",
                    index=models.Index(
                        models.F("organization"),
                        models.OrderBy(models.F("major"), descending=True),
                        models.OrderBy(models.F("minor"), descending=True),
                        models.OrderBy(models.F("patch"), descending=True),
                        models.OrderBy(models.F("revision"), descending=True),
                        models.OrderBy(
                            models.Case(models.When(prerelease="", then=1), default=0),
                            descending=True,
                        ),
                        models.OrderBy(models.F("prerelease"), descending=True),
                        name="sentry_release_semver_idx",
                    ),
                ),
            ],
        ),
    ]
