# Generated by Django 4.2.8 on 2024-02-05 21:00

import django.utils.timezone
from django.db import migrations, models

from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_post_deployment = False

    dependencies = [
        ("sentry", "0642_index_together_release"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            database_operations=[
                migrations.RunSQL(
                    sql="""
                    ALTER TABLE "sentry_dashboardwidgetquery" ADD COLUMN "date_modified" TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP;
                    """,
                    reverse_sql="""
                    ALTER TABLE "sentry_dashboardwidgetquery" DROP COLUMN "date_modified"
                    """,
                    hints={"tables": ["sentry_dashboardwidgetquery"]},
                ),
            ],
            state_operations=[
                migrations.AddField(
                    model_name="dashboardwidgetquery",
                    name="date_modified",
                    field=models.DateTimeField(default=django.utils.timezone.now),
                ),
            ],
        )
    ]
