# Generated by Django 5.0.2 on 2024-02-23 23:25

from django.db import migrations, models

import sentry.models.apitoken
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_post_deployment = False

    dependencies = [
        ("sentry", "0654_rename_priority_sort_to_trends"),
    ]

    operations = [
        migrations.AlterField(
            model_name="apitoken",
            name="refresh_token",
            field=models.CharField(
                default=sentry.models.apitoken.generate_token, max_length=71, null=True, unique=True
            ),
        ),
        migrations.AlterField(
            model_name="apitoken",
            name="token",
            field=models.CharField(
                default=sentry.models.apitoken.generate_token, max_length=71, unique=True
            ),
        ),
    ]
