# Generated by Django 5.0.4 on 2024-04-26 15:48

from django.db import migrations, models

from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production.
    # This should only be used for operations where it's safe to run the migration after your
    # code has deployed. So this should not be used for most operations that alter the schema
    # of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually so that they can be
    #   monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   run this outside deployments so that we don't block them. Note that while adding an index
    #   is a schema change, it's completely safe to run the operation after the code has deployed.
    # Once deployed, run these manually via: https://develop.sentry.dev/database-migrations/#migration-deployment

    is_post_deployment = False

    dependencies = [
        ("sentry", "0707_alert_rule_activations_incidents_fk"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            state_operations=[
                migrations.RemoveField(
                    model_name="rule",
                    name="owner",
                ),
            ],
            database_operations=[],
        ),
        migrations.AddIndex(
            model_name="rule",
            index=models.Index(
                fields=["project", "status", "owner_team"], name="sentry_rule_project_cce776_idx"
            ),
        ),
        migrations.AddIndex(
            model_name="rule",
            index=models.Index(
                fields=["project", "status", "owner_user_id"], name="sentry_rule_project_6e9491_idx"
            ),
        ),
        migrations.RemoveIndex(
            model_name="rule",
            name="sentry_rule_project_676d0d_idx",
        ),
    ]
