# Generated by Django 5.0.6 on 2024-06-17 21:29

from django.db import migrations

import bitfield.models
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production.
    # This should only be used for operations where it's safe to run the migration after your
    # code has deployed. So this should not be used for most operations that alter the schema
    # of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually so that they can be
    #   monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   run this outside deployments so that we don't block them. Note that while adding an index
    #   is a schema change, it's completely safe to run the operation after the code has deployed.
    # Once deployed, run these manually via: https://develop.sentry.dev/database-migrations/#migration-deployment

    is_post_deployment = False

    dependencies = [
        ("sentry", "0730_add_subscription_fk_to_incident"),
    ]

    operations = [
        migrations.AlterField(
            model_name="project",
            name="flags",
            field=bitfield.models.BitField(
                [
                    "has_releases",
                    "has_issue_alerts_targeting",
                    "has_transactions",
                    "has_alert_filters",
                    "has_sessions",
                    "has_profiles",
                    "has_replays",
                    "has_feedbacks",
                    "has_new_feedbacks",
                    "spike_protection_error_currently_active",
                    "spike_protection_transaction_currently_active",
                    "spike_protection_attachment_currently_active",
                    "has_minified_stack_trace",
                    "has_cron_monitors",
                    "has_cron_checkins",
                    "has_sourcemaps",
                    "has_custom_metrics",
                    "has_high_priority_alerts",
                    "has_insights_http",
                    "has_insights_db",
                    "has_insights_assets",
                    "has_insights_app_start",
                    "has_insights_screen_load",
                    "has_insights_vitals",
                    "has_insights_caches",
                    "has_insights_queues",
                    "has_insights_llm_monitoring",
                ],
                default=10,
                null=True,
            ),
        ),
    ]
