// https://httpwg.org/specs/rfc9110.html#overview.of.status.codes
import {t} from 'sentry/locale';

export const HTTP_RESPONSE_STATUS_CODES = {
  '100': t('Continue'),
  '101': t('Switching Protocols'),
  '102': t('Processing'),
  '103': t('Early Hints'),
  '200': t('OK'),
  '201': t('Created'),
  '202': t('Accepted'),
  '203': t('Non-Authoritative Information'),
  '204': t('No Content'),
  '205': t('Reset Content'),
  '206': t('Partial Content'),
  '207': t('Multi-Status'),
  '208': t('Already Reported'),
  '226': t('IM Used'),
  '300': t('Multiple Choices'),
  '301': t('Moved Permanently'),
  '302': t('Found'),
  '303': t('See Other'),
  '304': t('Not Modified'),
  '305': t('Use Proxy'),
  '307': t('Temporary Redirect'),
  '308': t('Permanent Redirect'),
  '400': t('Bad Request'),
  '401': t('Unauthorized'),
  '402': t('Payment Required'),
  '403': t('Forbidden'),
  '404': t('Not Found'),
  '405': t('Method Not Allowed'),
  '406': t('Not Acceptable'),
  '407': t('Proxy Authentication Required'),
  '408': t('Request Timeout'),
  '409': t('Conflict'),
  '410': t('Gone'),
  '411': t('Length Required'),
  '412': t('Precondition Failed'),
  '413': t('Payload Too Large'),
  '414': t('URI Too Long'),
  '415': t('Unsupported Media Type'),
  '416': t('Range Not Satisfiable'),
  '417': t('Expectation Failed'),
  '418': t('I’m a teapot'),
  '421': t('Misdirected Request'),
  '422': t('Unprocessable Content'),
  '423': t('Locked'),
  '424': t('Failed Dependency'),
  '425': t('Too Early'),
  '426': t('Upgrade Required'),
  '428': t('Precondition Required'),
  '429': t('Too Many Requests'),
  '431': t('Request Header Fields Too Large'),
  '451': t('Unavailable For Legal Reasons'),
  '500': t('Internal Server Error'),
  '501': t('Not Implemented'),
  '502': t('Bad Gateway'),
  '503': t('Service Unavailable'),
  '504': t('Gateway Timeout'),
  '505': t('HTTP Version Not Supported'),
  '506': t('Variant Also Negotiates'),
  '507': t('Insufficient Storage'),
  '508': t('Loop Detected'),
  '510': t('Not Extended'),
  '511': t('Network Authentication Required'),
};
